Subject: bug#51370: 28.0.60; tab-bar-history-mode: avoid micro-steps

From: Juri Linkov <[email-masked]>
Date: Sun, 24 Oct 2021 22:01:32 +0300

>> winner-mode has a more sensible behavior in this regard: it just
>> remembers the beginning and the end of the mouse resizing operation
>
> I believe the difference is due to the fact that winner-mode listens to
> changes in a window-configuration-change-hook but only saves them in a
> post-command-hook, while tab-bar-history-mode saves changes in a
> window-configuration-change-hook. I assume that dragging with the mouse
> is sending a sequence of window configuration change events while still
> being a single command.

Maybe it's possible to compare this-command with last-command to remove
duplicate commands while resizing.  This needs more experimentation.